# Constant Field Values

## Contents

- org.eclipse.*

## org.eclipse.*

org.eclipse.pde.build.Constants
Modifier and Type
Constant Field
Value
`public static final String`
`BUNDLE_FILENAME_DESCRIPTOR`
`"META-INF/MANIFEST.MF"`
`public static final String`
`FEATURE_FILENAME_DESCRIPTOR`
`"feature.xml"`
`public static final String`
`FRAGMENT_FILENAME_DESCRIPTOR`
`"fragment.xml"`
`public static final String`
`KEY_SOURCE_REFERENCES`
`"sourceReferences"`
`public static final String`
`PLUGIN_FILENAME_DESCRIPTOR`
`"plugin.xml"`
org.eclipse.pde.build.IFetchFactory
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_TYPE_BUNDLE`
`"bundle"`
`public static final String`
`ELEMENT_TYPE_FEATURE`
`"feature"`
`public static final String`
`ELEMENT_TYPE_FRAGMENT`
`"fragment"`
`public static final String`
`ELEMENT_TYPE_PLUGIN`
`"plugin"`
`public static final String`
`KEY_ELEMENT_NAME`
`"element"`
`public static final String`
`KEY_ELEMENT_TAG`
`"tag"`
`public static final String`
`KEY_ELEMENT_TYPE`
`"type"`

org.eclipse.pde.core.IIdentifiable
Modifier and Type
Constant Field
Value
`public static final String`
`P_ID`
`"id"`
org.eclipse.pde.core.IModelChangedEvent
Modifier and Type
Constant Field
Value
`public static final int`
`CHANGE`
`3`
`public static final int`
`INSERT`
`1`
`public static final int`
`REMOVE`
`2`
`public static final int`
`WORLD_CHANGED`
`99`
org.eclipse.pde.core.IModelProviderEvent
Modifier and Type
Constant Field
Value
`public static final int`
`ENVIRONMENT_CHANGED`
`16`
`public static final int`
`MODELS_ADDED`
`1`
`public static final int`
`MODELS_CHANGED`
`4`
`public static final int`
`MODELS_REMOVED`
`2`
`public static final int`
`TARGET_CHANGED`
`8`

org.eclipse.pde.core.build.IBuildEntry
Modifier and Type
Constant Field
Value
`public static final String`
`BIN_INCLUDES`
`"bin.includes"`
`public static final String`
`JAR_PREFIX`
`"source."`
`public static final String`
`JARS_EXTRA_CLASSPATH`
`"jars.extra.classpath"`
`public static final String`
`OUTPUT_PREFIX`
`"output."`
`public static final String`
`P_NAME`
`"name"`
`public static final String`
`SECONDARY_DEPENDENCIES`
`"additional.bundles"`
`public static final String`
`SRC_INCLUDES`
`"src.includes"`

org.eclipse.pde.core.plugin.IExtensions
Modifier and Type
Constant Field
Value
`public static final String`
`P_EXTENSION_ORDER`
`"extension_order"`
org.eclipse.pde.core.plugin.IFragment
Modifier and Type
Constant Field
Value
`public static final String`
`P_PLUGIN_ID`
`"plugin-id"`
`public static final String`
`P_PLUGIN_VERSION`
`"plugin-version"`
`public static final String`
`P_RULE`
`"match"`
org.eclipse.pde.core.plugin.IMatchRules
Modifier and Type
Constant Field
Value
`public static final int`
`COMPATIBLE`
`2`
`public static final int`
`EQUIVALENT`
`1`
`public static final int`
`GREATER_OR_EQUAL`
`4`
`public static final int`
`NONE`
`0`
`public static final int`
`PERFECT`
`3`
`public static final int`
`PREFIX`
`5`
`public static final String`
`RULE_COMPATIBLE`
`"compatible"`
`public static final String`
`RULE_EQUIVALENT`
`"equivalent"`
`public static final String`
`RULE_GREATER_OR_EQUAL`
`"greaterOrEqual"`
`public static final String`
`RULE_PERFECT`
`"perfect"`
`public static final String`
`RULE_PREFIX`
`"prefix"`
org.eclipse.pde.core.plugin.IPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`P_CLASS_NAME`
`"class"`
org.eclipse.pde.core.plugin.IPluginAttribute
Modifier and Type
Constant Field
Value
`public static final String`
`P_VALUE`
`"value"`
org.eclipse.pde.core.plugin.IPluginBase
Modifier and Type
Constant Field
Value
`public static final String`
`P_IMPORT_ORDER`
`"import_order"`
`public static final String`
`P_LIBRARY_ORDER`
`"library_order"`
`public static final String`
`P_PROVIDER`
`"provider-name"`
`public static final String`
`P_SCHEMA_VERSION`
`"schema-version"`
`public static final String`
`P_VERSION`
`"version"`
org.eclipse.pde.core.plugin.IPluginElement
Modifier and Type
Constant Field
Value
`public static final String`
`P_ATTRIBUTE`
`"attribute"`
`public static final String`
`P_ATTRIBUTES`
`"attributes"`
`public static final String`
`P_TEXT`
`"text"`
org.eclipse.pde.core.plugin.IPluginExtension
Modifier and Type
Constant Field
Value
`public static final String`
`P_POINT`
`"point"`
org.eclipse.pde.core.plugin.IPluginExtensionPoint
Modifier and Type
Constant Field
Value
`public static final String`
`P_SCHEMA`
`"schema"`
org.eclipse.pde.core.plugin.IPluginImport
Modifier and Type
Constant Field
Value
`public static final String`
`P_OPTIONAL`
`"optional"`
`public static final String`
`P_REEXPORTED`
`"export"`
org.eclipse.pde.core.plugin.IPluginLibrary
Modifier and Type
Constant Field
Value
`public static final String`
`CODE`
`"code"`
`public static final String`
`P_CONTENT_FILTERS`
`"contentFilters"`
`public static final String`
`P_EXPORTED`
`"export"`
`public static final String`
`P_PACKAGES`
`"packages"`
`public static final String`
`P_TYPE`
`"type"`
`public static final String`
`RESOURCE`
`"resource"`
org.eclipse.pde.core.plugin.IPluginObject
Modifier and Type
Constant Field
Value
`public static final String`
`P_NAME`
`"name"`
org.eclipse.pde.core.plugin.IPluginParent
Modifier and Type
Constant Field
Value
`public static final String`
`P_SIBLING_ORDER`
`"sibling_order"`
org.eclipse.pde.core.plugin.IPluginReference
Modifier and Type
Constant Field
Value
`public static final String`
`P_MATCH`
`"match"`
`public static final String`
`P_VERSION`
`"version"`

org.eclipse.pde.core.project.IBundleProjectDescription
Modifier and Type
Constant Field
Value
`public static final String`
`PLUGIN_NATURE`
`"org.eclipse.pde.PluginNature"`
`public static final String`
`VERSION_3_0`
`"3.0"`
`public static final String`
`VERSION_3_1`
`"3.1"`
`public static final String`
`VERSION_3_2`
`"3.2"`
`public static final String`
`VERSION_3_3`
`"3.3"`
`public static final String`
`VERSION_3_4`
`"3.4"`
`public static final String`
`VERSION_3_5`
`"3.5"`
`public static final String`
`VERSION_3_6`
`"3.6"`
`public static final String`
`VERSION_3_7`
`"3.7"`
`public static final String`
`VERSION_3_8`
`"3.8"`

org.eclipse.pde.core.target.ITargetPlatformService
Modifier and Type
Constant Field
Value
`public static final int`
`STATUS_MISSING_FROM_TARGET_DEFINITION`
`2`
`public static final int`
`STATUS_MISSING_FROM_TARGET_PLATFORM`
`1`
org.eclipse.pde.core.target.NameVersionDescriptor
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_FEATURE`
`"feature"`
`public static final String`
`TYPE_PACKAGE`
`"package"`
`public static final String`
`TYPE_PLUGIN`
`"plugin"`
org.eclipse.pde.core.target.TargetBundle
Modifier and Type
Constant Field
Value
`public static final int`
`STATUS_FEATURE_DOES_NOT_EXIST`
`110`
`public static final int`
`STATUS_INVALID_MANIFEST`
`102`
`public static final int`
`STATUS_PLUGIN_DOES_NOT_EXIST`
`100`
`public static final int`
`STATUS_VERSION_DOES_NOT_EXIST`
`101`
org.eclipse.pde.core.target.TargetEvents
Modifier and Type
Constant Field
Value
`public static final String`
`TOPIC_ALL`
`"org/eclipse/pde/core/target/TargetEvents/*"`
`public static final String`
`TOPIC_BASE`
`"org/eclipse/pde/core/target/TargetEvents"`
`public static final String`
`TOPIC_WORKSPACE_TARGET_CHANGED`
`"org/eclipse/pde/core/target/TargetEvents/workspaceTargetChanged"`

org.eclipse.pde.launching.IPDELauncherConstants
Modifier and Type
Constant Field
Value
`public static final String`
`ADDITIONAL_PLUGINS`
`"additional_plugins"`
`public static final String`
`APP_TO_TEST`
`"testApplication"`
`public static final String`
`APPLICATION`
`"application"`
`public static final String`
`ASKCLEAR`
`"askclear"`
`public static final String`
`AUTOMATIC_ADD`
`"automaticAdd"`
`public static final String`
`AUTOMATIC_INCLUDE_REQUIREMENTS`
`"automaticIncludeRequirements"`
`public static final String`
`AUTOMATIC_VALIDATE`
`"automaticValidate"`
`public static final String`
`BOOTSTRAP_ENTRIES`
`"bootstrap"`
`public static final String`
`CONFIG_CLEAR_AREA`
`"clearConfig"`
`public static final String`
`CONFIG_GENERATE_DEFAULT`
`"useDefaultConfig"`
`public static final String`
`CONFIG_LOCATION`
`"configLocation"`
`public static final String`
`CONFIG_TEMPLATE_LOCATION`
`"templateConfig"`
`public static final String`
`CONFIG_USE_DEFAULT_AREA`
`"useDefaultConfigArea"`
`public static final String`
`DEFAULT_AUTO_START`
`"default_auto_start"`
`public static final String`
`DEFAULT_START_LEVEL`
`"default_start_level"`
`public static final String`
`DEFINED_TARGET`
`"defined_target"`
`public static final String`
`DESELECTED_WORKSPACE_BUNDLES`
`"deselected_workspace_bundles"`
`public static final String`
`DESELECTED_WORKSPACE_PLUGINS`
`"deselected_workspace_plugins"`
`public static final String`
`DOCLEAR`
`"clearws"`
`public static final String`
`ECLIPSE_APPLICATION_LAUNCH_CONFIGURATION_TYPE`
`"org.eclipse.pde.ui.RuntimeWorkbench"`
`public static final String`
`FEATURE_DEFAULT_LOCATION`
`"featureDefaultLocation"`
`public static final String`
`FEATURE_PLUGIN_RESOLUTION`
`"featurePluginResolution"`
`public static final String`
`GENERATE_PROFILE`
`"generateProfile"`
`public static final String`
`INCLUDE_OPTIONAL`
`"includeOptional"`
`public static final String`
`LOCATION`
`"location"`
`public static final String`
`LOCATION_DEFAULT`
`"default"`
`public static final String`
`LOCATION_EXTERNAL`
`"external"`
`public static final String`
`LOCATION_WORKSPACE`
`"workspace"`
`public static final String`
`OSGI_CONFIGURATION_TYPE`
`"org.eclipse.pde.ui.EquinoxLauncher"`
`public static final String`
`OSGI_FRAMEWORK_ID`
`"osgi_framework_id"`
`public static final String`
`PRODUCT`
`"product"`
`public static final String`
`PRODUCT_FILE`
`"productFile"`
`public static final String`
`ROOT_FEATURES`
`"root_features"`
`public static final String`
`RUN_IN_UI_THREAD`
`"run_in_ui_thread"`
`public static final String`
`SELECTED_FEATURES`
`"selected_features"`
`public static final String`
`SELECTED_TARGET_BUNDLES`
`"selected_target_bundles"`
`public static final String`
`SELECTED_TARGET_PLUGINS`
`"selected_target_plugins"`
`public static final String`
`SELECTED_WORKSPACE_BUNDLES`
`"selected_workspace_bundles"`
`public static final String`
`SELECTED_WORKSPACE_PLUGINS`
`"selected_workspace_plugins"`
`public static final String`
`SHOW_SELECTED_ONLY`
`"show_selected_only"`
`public static final String`
`TAB_BUNDLES_ID`
`"org.eclipse.pde.ui.launch.tab.osgi.bundles"`
`public static final String`
`TAB_CONFIGURATION_ID`
`"org.eclipse.pde.ui.launch.tab.configuration"`
`public static final String`
`TAB_MAIN_ID`
`"org.eclipse.pde.ui.launch.tab.main"`
`public static final String`
`TAB_OSGI_SETTINGS_ID`
`"org.eclipse.pde.ui.launch.tab.osgi.settings"`
`public static final String`
`TAB_PLUGIN_JUNIT_MAIN_ID`
`"org.eclipse.pde.ui.launch.tab.junit.main"`
`public static final String`
`TAB_PLUGINS_ID`
`"org.eclipse.pde.ui.launch.tab.plugins"`
`public static final String`
`TAB_TEST_ID`
`"org.eclipse.pde.ui.launch.tab.test"`
`public static final String`
`TAB_TRACING_ID`
`"org.eclipse.pde.ui.launch.tab.tracing"`
`public static final String`
`TARGET_BUNDLES`
`"target_bundles"`
`public static final String`
`TRACING`
`"tracing"`
`public static final String`
`TRACING_CHECKED`
`"checked"`
`public static final String`
`TRACING_NONE`
`"[NONE]"`
`public static final String`
`TRACING_OPTIONS`
`"tracingOptions"`
`public static final String`
`TRACING_SELECTED_PLUGIN`
`"selectedPlugin"`
`public static final String`
`USE_CUSTOM_FEATURES`
`"useCustomFeatures"`
`public static final String`
`USE_DEFAULT`
`"default"`
`public static final String`
`USE_PRODUCT`
`"useProduct"`
`public static final String`
`USEFEATURES`
`"usefeatures"`
`public static final String`
`VMINSTALL`
`"vminstall"`
`public static final String`
`WORKSPACE_BUNDLES`
`"workspace_bundles"`
org.eclipse.pde.launching.OSGiLaunchConfigurationInitializer
Modifier and Type
Constant Field
Value
`protected static final String`
`DEFAULT`
`"default"`
org.eclipse.pde.launching.PDESourcePathProvider
Modifier and Type
Constant Field
Value
`public static final String`
`ID`
`"org.eclipse.pde.ui.workbenchClasspathProvider"`

org.eclipse.pde.ui.launcher.EclipseLaunchShortcut
Modifier and Type
Constant Field
Value
`public static final String`
`CONFIGURATION_TYPE`
`"org.eclipse.pde.ui.RuntimeWorkbench"`

org.eclipse.pde.ui.target.ITargetLocationHandler
Modifier and Type
Constant Field
Value
`public static final int`
`STATUS_CODE_NO_CHANGE`
`101`
`public static final int`
`STATUS_FORCE_RELOAD`
`102`
org.eclipse.pde.ui.target.ITargetLocationUpdater
Modifier and Type
Constant Field
Value
`public static final int`
`STATUS_CODE_NO_CHANGE`
`101`

org.eclipse.pde.ui.templates.AbstractTemplateSection
Modifier and Type
Constant Field
Value
`public static final String`
`KEY_ACTIVATOR_SIMPLE`
`"activator"`
`public static final String`
`KEY_PACKAGE_NAME`
`"packageName"`
`public static final String`
`KEY_PLUGIN_CLASS`
`"pluginClass"`
`public static final String`
`KEY_PLUGIN_ID`
`"pluginId"`
`public static final String`
`KEY_PLUGIN_NAME`
`"pluginName"`
org.eclipse.pde.ui.templates.NewPluginProjectFromTemplateWizard
Modifier and Type
Constant Field
Value
`public static final String`
`DEF_PROJECT_NAME`
`"project_name"`
`public static final String`
`PLUGIN_POINT`
`"pluginContent"`
`public static final String`
`TAG_WIZARD`
`"wizard"`